package macampcorp.macamp.exceptions;

import macampcorp.macamp.game.Resource;

public class ResourceFileNotFoundException extends RuntimeException {
    public ResourceFileNotFoundException(Resource r) {
        super("Fichier de la ressource '"+r.getName()+"' ('"+r.getFile()+"') non trouvée.");
    }

    public ResourceFileNotFoundException(Resource r, Throwable throwable) {
        super("Fichier de la ressource '"+r.getName()+"' ('"+r.getFile()+"') non trouvée.", throwable);
    }
}
